<!DOCTYPE html>
<html>
	<head>
		<!-- Cabeça do site -->
		<meta charset="utf-8">
		<link rel="shortcut icon" type="image/png" href="html2.png"/>
		<title>Aprendendo HTML</title>
	</head>
	<!--bgcolor="" é a cor de fundo da pagina -->
	<!-- <center> serve para centralizar a pagina-->
	<body bgcolor="#A4D3EE"><center>
		<!-- Corpo do site -->
		<!--<h1><h2><h3><h4> são titulos-->
		<!-- style="color: cor;" é para atribuir uma cor ao titulo,paragrafo etc.. -->	
		<h1 style="color:blue;">Aprendendo HTML.</h1>
		 <h2>Olá fatecanos,estes documentos foram feitos para que vocês possam entender e aprender sobre o HTML.</h2>
		<h4>Esta pagina foi feita somente em HTML puro,para que vocês possam se familiarizar melhor com o HTML.</h4>
		<!-- <img src="local da imagem" alt="palavra para simbolizar a imagem em caso de erro"/> para adicionar uma imagem -->
		 <img src="html.png" alt="imagem"/>
		<h3>O que é o HTML?</h3>
		 <img src="html.gif" alt="gif" />
		 <!--<p>texto</p> para escrever um paragrafo-->
			<p>HTML vem do termo em inglês HyperText Markup Language e em português significa Linguagem de Marcação de Hipertexto. Em outras palavras, HTML é uma linguagem da web que utiliza de marcação para dar significados e assim organizar as informações de um site, como links, imagens e texto.</p>
			<p>O código HTML é uma linguagem de marcação de texto que utiliza de tags para informar o que deve ser apresentado na internet, por exemplo, tags de links, de imagens e de textos (incluindo a formatação).</p>
			<p>A maioria dos sites são criados em HTML, mas diferente do que muita gente confunde por aí, HTML não é uma linguagem de programação. Criar um site em HTML é muito simples e não requer nenhum conhecimento avançado ou programa específico para isso. </p>
		<h4>Historia</h4>
			<p>E quando pensamos sobre o que é HTML, já parou para pensar como surgiu isso tudo? Códigos com significados para computadores, de onde veio?</p>
			<p>Os “códigos escondidos” foram inventados pelo cientista da computação Tim Berners-Lee, em 1990, com o objetivo de ajudar a comunicação entre ele e um grupo de colegas.</p>
			<p>A primeira versão foi baseada no SGML, uma linguagem que também utiliza tags para comunicação com os computadores, mas o diferencial do HTML foi a inclusão da tag < a > juntos, que permite o hipertexto.</p>
			<p>Para entender o que é HTML, precisamos mergulhar um pouco na semântica, e estudar o significado de cada palavra e também o seu sentido denotativo.</p>
		 	<p><i>Tim Berners-Lee</i> <img src="tbl.webp" alt="imagem" /></p>	
		<h4>Linguagem</h4>
			<p>Linguagem porque serve para comunicar uma mensagem ao computador. É uma das linguagens mais usadas na hora de construir um site mesmo tratando-se de linguagem de marcação. O HTML sozinho faz um site. Mas será um site pobre, visualmente falando,assim como este que você esta vendo agora.</p>
		<h4>Marcação</h4>
			<p>A palavra marcação refere-se ao método que o HTML utiliza para dar o significado ao computador que no caso são as tags e informam a função de cada texto: cabeçalho, rodapé e corpo.</p>	
		<h3>Sintaxe do HTML</h3>
		<h4>Tags</h4>
		 <img src="tags.gif" alt="gif">
		 	<p>As tags são marcações que servem para comunicar o navegador como ele deve ler aquele arquivo, e as tags vêm dentro dos sinais que conhecemos como maior “<” para abrir, e menor “>” para fechar, exemplo: < p >juntos,que é uma tag para paragrafo que foi utilizada para marcar este paragrafo que você esta lendo.</p>
		 	<p>Existem diversas tags e você não precisa se preocupar em memorizar todas elas. As tags básicas para contruir um site em HTML você vai guardar na memória com certeza.</p>
		 	<p>Outro detalhe importante em relação as tags é a de que todas as tags que você abrir, devem ser fechadas, veja abaixo que a tag será fechada com um < / i > (juntos) no final da frase:</p>
		 	<p><i>< i >Esta tag indica que este texto será em itálico< / i ></i></p>
		<h4>Elementos</h4>
			<p>O nome da informação que inserimos dentro das tags (< >) são chamados de elementos. Portanto, no tópico anterior você entendeu o que é uma tag e utilizamos o elemento itálico para exemplificar, portanto abaixo temos uma tag com elemento i.</p>
			<p>< i >< / i ></p>
		<h4>Atributos</h4>
			<p style="color:red;">É possível acrescentar informações de comando dentro de algumas tags e assim personalizá-las, isso deve ser feito com o sinal de igual (=) e a informação deve ser inserida entre aspas. Veja abaixo que o style é o atributo dentro do elemento p.</p>
			<p>< p style = " color : red ; " > texto < / p ></p>
			<p>Ao explorar os atributos você consegue alterar o layout da página, adicionar cor, fonte, tamanho do texto, ou seja, personalizar a aparência.</p>
		<h3>Como Criar um documento HTML</h3>
			<p>Para criar um documento html do zero e que seja reconhecido pelo navegador, siga os passos abaixo:</p>
			<p>1. Crie um documento no bloco de notas (recomendo o editor Sublime, pois identifica um arquivo html, destaca as tags por cor e da sugestões de tags) e salve, ainda que vazio, com o nome do seu arquivo. Exemplo: nome_do_arquivo.html</p>
			<p style="color:blue;">O .html é a extensão do arquivo, é assim que o seu editor de texto e o navegador sabem que esse arquivo é uma página de seu site.</p>
			<p>2.Digite o esqueleto do html, conforme abaixo (obs: voce deve digitar as tags sem espaço) :</p>
			<p>< html ></p>
			<p>< head ></p>
			<p>< / head ></p>
			<p>< body ></p>
			<p>< / body ></p>
			<p>< / html ></p>	
			<p>Pronto! Você tem o esqueleto, que são as tags de head (cabeça) e body (corpo), e agora pode começar a criar conteúdo em sua página. </p>
		<h3>Criar ícone e título em HTML</h3>
			<p>1.Agora vamos inserir o <i>ícone</i> e o <i>título</i> da sua página na aba do navegador,antes baixe uma imagem qualquer no formato .png e de o nome como html.png e a deixe no mesmo local onde esta seu arquivo html depois insira o codigo como mostra o exemplo abaixo:</p>
			<p>< html ></p>
			<p>< head ></p>
				<p>< link rel = "shortcut icon" type = "image/png" href = "html.png" / > </p>
				<p>< title >titulo do seu site< / title ></p>
			<p>< / head ></p>
			<p>< body ></p>
			<p>< / body ></p>
			<p>< / html ></p>
			<p>Na tag < link > estará o seu link, onde adicionamos outros parâmetros para construir o ícone. E na tag < title > basta escrever o título do seu ícon</p>
			<p>2.Abra seu documento e veja o resultado no seu navegador.</p>
			<img src="icone.png" alt="imagem"/>
			<p>Pronto, você já saber fazer o ícone do site e o título, mas e o resto? Como criar os menus e personalizar o seu site como vê nos sites por aí? Calma que agora é que vem a parte legal, lembra que o html é dividido em 2 partes? Cabeça < head > e Corpo < body >?</p>
			<p>Agora você pode se aventurar no corpo do html, pois tudo que você vê em um site na internet fica dentro da tag body.</p>
			<img src="aa.png" alt="imagem"/>
			<p>Para informar um computador que determinada palavra deve ser um título, por exemplo, é preciso utilizar uma <i>tag</i>, que significa etiqueta.</p>
		<h3>Criar conteúdo no corpo HTML</h3>
		<h4>Titulo</h4>
			<p>< h1 >EU SOU UM TITULO < / h1 ></p>
			<p>Ao realizar a marcação dos textos com as tags (etiquetas) < h1 > e < / h1 >, o computador entende o significado deste código como título de texto. E ao interpretar, temos este resultado na visualização do texto.</p>
		<h1>EU SOU UM TITULO</h1>
			<P>Viu só? As marcações utilizam tags para indicar como aquele texto deve ser interpretado. Mas observe agora como vamos alterar somente a palavra “título” para que fique em itálico.</P>
			<p>< h1 > EU SOU UM < i > TITULO < / i > < / h1 ></p>
		<h1>EU SOU UM <i>TITULO</i></h1>
			<P>Note que apenas a palavra título aparece em itálico, porque foi a única palavra marcada com esta tag. Mas vamos aprofundar nesta estrutura em alguns tópicos mais abaixo, quando falaremos de tags, elementos e atributos.</P>
		<H3>Hipertexto</H3>
			<p>Por hipertexto, entende-se o método do qual você transita pela web. No HTML isso acontece através de um texto de ligação (os famosos links), que é um texto personalizado com a tag < a ></p>
			<p>Veja como fica a linguagem HTML utilizando o hipertexto. Primeiro na versão original, em HTML.</p>
			<p>< a href = "https://www.google.com.br" > Google < / a ></p>
			<p>voce pode atribuir o comando <i>target="_blank</i> para que o link seja aberto em um novo guia. </p>
			<p>Exemplo :</p>
			<p>< a href = "https://www.google.com.br" target = "_blank"> Google < / a ></p>
			<p>Que ficaria assim :</p>
			<!-- <a><a/> é utilizado para um link -->
			<!--href="link de um site ou local de um arquivo que deseja atribuir"-->
			<!--taget="_blank" serve para que o link ou arquivo atribuido abra em um novo guia-->
			<a href="https://www.google.com.br" target="_blank">Google</a>
			<p>Voce tabem pode colocar um Hipertexto dentro de um paragrafo.</p>
			<p>Exemplo :</p>
			<p>< p > veja esse exemplo < a href = "https://www.google.com.br" target = "_blank"> Google < / a > < / p ></p>
			<p>Que ficaria assim :</p>
			<p>veja esse exemplo <a href="https://www.google.com.br" target="_blank">Google</a></p>
			<p>A palavra Google está com o hyperlink conforme configuramos com a tag < a >.</p>
		 <img src="3.png" alt="imagem" />
		 <h3>Imagens</h3>
		 	<p>< img src = "nome da imagem.png" alt = "imagem" /></p>
		 	<p>Para colocar uma imagem na sua pagina você deve utilizar o comando < img >.</p>
		 	<p>Você pode notar que existem atributos dentro da tag de imagem</p>
		 	<p>Você deve colocar o atributo src="endereço da imagem" caso a imagem esteja na mesma pasta do seu arquivo basta colocar o nome da imagem.png, .jpeg etic..</p>
		 	<p>O atributo alt="imagem" serve para você colocar um texto caso sua imagem não apareça por algum motivo,assim mostrando que ali deveria ter uma imagem</p>
		 	<p>E note tabem que o comando < img > não tem o < / img > entao voce deve fexar a tag com o / antes do > .</p>

		<h3>HTML é uma linguagem de programação?</h3>
			<p>Não. No entanto, é bem comum cometer esse erro até saber exatamente o que é HTML.</p>
			<p>Como já adiantamos, HTML é uma linguagem não é uma linguagem de programação e sim linguagem de marcação. Linguagem de programação é um método padrão para passar uma informação e instrução ao computador, é uma forma de comunicação.</p> 
			<p>Para compreender melhor, existem linguagens de marcação (HTML, XML, XHTML), linguagens de folha de estilos (CSS) e linguagens de programação (JavaScript, Json, Ruby on Rails).</p>
		<h3>Por que é importante aprender HTML ?</h3>
			<p>O HTML não é um assunto só para desenvolvedores e cientistas da computação. É uma linguagem muito usada no desenvolvimento de páginas de um site e tem uma dinâmica simples na construção de textos e codificação.</p>
			<p>Portanto, todos que trabalham diretamente ou indiretamente na construção de páginas vão se deparar com o HTML em um momento ou outro. Isso vale para marketing, jornalistas e designers, por exemplo.</p>
			<p>Além de saber o que é HTML, aprender HTML é essencial para que você crie e desenvolva páginas para o seu site ou seu blog sem precisar da ajuda de mais ninguém.</p>
		<h3>O que é HTML 5 ?</h3>
		 <img src="html5.png" alt="imagem" />	
		 	<p>Precisamos falar um pouco sobre o que é HTML 5. HTML é a linguagem de marcação mais usada na criação de páginas, mas assim como tudo que envolve tecnologia, passou por atualizações. O HTML5 nada mais é que a quinta versão do HTML, portanto, uma linguagem de marcação melhorada.</p>
		 	<p>A principal diferença é que ele tem suporte de áudio e vídeo de alto nível que não fazia parte das especificações de versão em HTMLs anteriores. Com o HTML5, os desenvolvedores têm mais flexibilidade na criação de projetos e os usuários não precisarão baixar plugins adicionais para exibir multimídia em seu website.</p>
		<h3>Lista de Comandos Básicos HTML</h3>
			<p>Se o Google ganhasse em dinheiro por cada vez que alguém pesquisa como usar HTML, eles estariam milionários! Isso não quer dizer que o HTML é difícil. Mas ter todas as tags reunidas em um só documento pode ganhar muito mais tempo na hora do trabalho.</p>
			<p>Este documento vai ser muito útil para qualquer pessoa que desenvolve páginas na web e ainda não tem familiaridade com HTML. E até mesmo para quem já é expert no assunto mas entre uma tag e outra, esquece qual comando deveria usar.</p>
			<p>Considere então que este é o seu guia para criar sua página em HTML do jeito que você quer e mantenha sempre por perto.</p>
			<!--<button></button> serve para atribuir um botão a sua pagina-->
        <button style="color : red;"><a href="guia.pdf" target="_blank">clique aqui para abrir seu guia de codigos<a href=""></a></button>
        <h3>Conclusão</h3>
        	<p>O HTML serve para estruturar o conteúdo das páginas de um site, utilizando de tags, elementos e atributos semanticamente definidos.</p>
        	<p>Após a estrutura do seu texto com essa linguagem de marcação, a parte visual do seu site deve ser feita via CSS e Javascript.</p>
        	<p>E a dica é para que todos que estão envolvidos com alguma parte do processo de criação e desenvolvimento de um site, se dediquem para aprender o HTML básico e ter as noções necessárias para lançar um projeto. Então agora que você já sabe o que é HTML, mãos à obra!</p>
        	<p>Aproveite para abrir este arquivo .html em seu editor de textos para ver como esta pagina foi feita de forma bem simples.</p>	
        <button style="color: red;"><a href="/home/virick/Desktop/Aprendendo o CSS/aprendendocss.html">Ja esta manjando de HTML? Entao clique aki e vamos para o CSS.</a></button>
        <br><br><br>

        <footer>BY VITÃO</footer>	






	</center></body>		
</html>
